Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.clips
Class ClipsImportExportPlugin

    java.lang.Object
      edu.stanford.smi.protege.storage.clips.ClipsImportExportPlugin

All Implemented Interfaces:
  ExportPlugin, ImportPlugin, Plugin, Disposable

    public class ClipsImportExportPlugin

extends Object
implements ImportPlugin, ExportPlugin

Import and Export plugins for the CLIPS file format. Note that this is not a good example of a plugin. An import plugin for clips should be able to read any clips file. This plugin can only read a subset of clips files, in particular those generated by Protege. An export plugin for clips should write out "clean" clips. This output should have none of the "comments" and other Protege encoded information in it. This plugin does neither of these jobs well because it just delegates the calls to the CLIPS backend which has entirely different constraints. Nevertheless this plugin does illustrate how to implement the required calls as well as demonstrating a sample interaction with the USER.

Author:
  Ray Fergerson

Constructor Summary
`ClipsImportExportPlugin()`

Method Summary
`void` | `dispose()`
`String` | `getName()`
`void` | `handleExportRequest(Project project)` Save the domain information out to "somewhere else".
`Project` | `handleImportRequest()` Create a new project from information given "somewhere else".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClipsImportExportPlugin

    public ClipsImportExportPlugin()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Plugin`

### handleImportRequest

    public Project handleImportRequest()

  Description copied from interface: `ImportPlugin`
  Create a new project from information given "somewhere else". The plugin is entirely responsible for prompting the user for the source of the domain information as well as creating and loading the Project.

  Specified by:
    `handleImportRequest` in interface `ImportPlugin`
  Returns:
    the newly created Project

### handleExportRequest

    public void handleExportRequest(Project project)

  Description copied from interface: `ExportPlugin`
  Save the domain information out to "somewhere else". The plugin is entirely responsible for prompting the user for the destination for the domain information. The "project information" (forms, browser slots, etc) do not have to be saved.

  Specified by:
    `handleExportRequest` in interface `ExportPlugin`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.